NisusWrtGraphInternal::RSSOEntry Struct Reference

a RSSO entry in a pict file More...

## Public Member Functions
| RSSOEntry ()
| constructor

## Public Attributes
int | m_id
| the id
MWAWBox2f | m_position
| the bdbox

## Friends
std::ostream & | operator<< (std::ostream &o, RSSOEntry const &entry)
| operator<<

## Detailed Description

a RSSO entry in a pict file

## Constructor & Destructor Documentation

## ◆ RSSOEntry()

NisusWrtGraphInternal::RSSOEntry::RSSOEntry | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | RSSOEntry const & | entry )
| friend

operator<<

## Member Data Documentation

## ◆ m_id

int NisusWrtGraphInternal::RSSOEntry::m_id

the id

Referenced by NisusWrtGraph::findRSSOEntry(), operator<<, and RSSOEntry().

## ◆ m_position

MWAWBox2f NisusWrtGraphInternal::RSSOEntry::m_position

the bdbox

Referenced by NisusWrtGraph::findRSSOEntry(), operator<<, and RSSOEntry().

The documentation for this struct was generated from the following file:

- NisusWrtGraph.cxx